{% extends 'layouts/base.html' %} 
{% load crispy_forms_tags %} 
{% load static %}

{% block style %} 
<link rel="stylesheet" href="{% static 'style/Core.module.css' %}" />
{% endblock style %} 

{% block body %}
<nav class="navbar navbar-expand-lg navbar-light p-1 p-lg-4">
  <a class="navbar-brand font-weight-bold mx-4 textMainDark" href="#">PACIL-LIST</a>
  <button
    class="navbar-toggler"
    type="button"
    data-toggle="collapse"
    data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent"
    aria-expanded="false"
    aria-label="Toggle navigation"
  >
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse d-flex flex-column flex-lg-row" id="navbarSupportedContent">
    <form class="form-inline my-2 my-lg-0 mr-auto flex-grow flex-fill w-100" action="" method="GET">
      <input
        class="form-control mr-sm-2 w-100 shadow-box border border-white px-4"
        name="search"
        type="search"
        placeholder="Search from archive"
        aria-label="Search"
      />
      <button class="btn btn-outline-success my-2 my-sm-0 d-none" type="submit">
        Search
      </button>
    </form>
    <ul class="navbar-nav">
      <li class="nav-item mx-2">
        <a class="nav-link" href="/">Home</a>
      </li>
      <li class="nav-item mx-2">
        <a class="nav-link" href="{% url 'add:index' %}">Add</a>
      </li>
      <li class="nav-item mx-2">
        <a class="nav-link textSecondaryDark font-weight-bold" href="{% url 'archive:index' %}">Archive</a>
      </li>
      <li class="nav-item mx-2">
        <a class="nav-link font-weight-bold btn btn-outline-secondary px-3" href="{% url 'authentications:logout' %}">Logout</a>
      </li>
    </ul>
  </div>
</nav>

<div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">
  {% for todo in todo_list %}
  <div class="card shadow-box border border-white mb-3">
    <div class="card-body">
      <h4 class="card-title font-weight-bold textSecondaryDark">{{ todo.title }}</h4>
      <p class="card-text">{{ todo.details }}</p>
      <h5 style="text-decoration: line-through;" class="card-subtitle font-weight-bold mb-3">Deadline: {{ todo.date|date:'d-m-Y' }}</h5>
    </div>
  </div>
  {% endfor %}
</div>
{% endblock body %} 

{% block script %} 
{% endblock script %}
